Pre-Installation

Lisk Commander requires Node.js as the underlying engine for code execution. This document describes how to install Node and NPM for installation via NPM.

Determine if your platform can run Node

Supported Platforms
  • Windows 10
  • macOS
  • Linux
Not Supported
  • Platforms without NodeJS 6.11.x or higher

Node.js is supported on most operating systems. Follow the instructions for your operating system on the Node.js downloads page. You will need version 6.11.x or higher. NPM is automatically installed along with Node.js.

Post Install

Confirm that Node.js and NPM have been successfully installed by running

node --version
npm --version

What's next?
Installation